from django.db import models

from core.models import Service

from .user import User
from .groups import Group


class Login(models.Model):
    login = models.CharField(max_length=50)
    password = models.CharField(max_length=50)
    email = models.CharField(max_length=50, blank=True)
    enabled = models.BooleanField()
    description = models.TextField(blank=True)
    user = models.ForeignKey(
        User, on_delete=models.SET_NULL, blank=True, null=True
    )
    service = models.ForeignKey(
        Service, on_delete=models.SET_NULL, blank=True, null=True
    )
    groups = models.ManyToManyField(Group, through="LoginInGroup")

    class Meta:
        ordering = ["login"]

    def __str__(self):
        return self.login


class LoginInGroup(models.Model):
    login = models.ForeignKey(Login, on_delete=models.CASCADE)
    group = models.ForeignKey(Group, on_delete=models.CASCADE)
